MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023176Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-26 22:282017-07-31 17:46
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target VersionFixed in Version[OCCT] 7.0.0 
Summary0023176: Intersection of cylinder and cone produces open curve
DescriptionFor co-linear surfaces, GeomAPI_IntSS produces one closed and one open curve. The latter has a gap of ~ 1.07mm, which is small relative to its size, yet is a big absolute number and thus is considered wrong.

restore surface1_draw s1
restore surface2_draw s2
intersect r s1 s2
#r_1 is closed
cvalue r_2 0 x y z
vertex v0 x y z
cvalue r_2 1 x y z
vertex v1 x y z
distmin d v0 v1
dump d_val


*********** Dump of d_val *************
1.07637238643976
Steps To ReproduceSee description
TagsNo tags attached.
Test case numberbugs modalg_7 bug23176
Attached Fileszip file icon archive.zip (481 bytes) 2012-05-26 22:28

- Relationships

-  Notes
(0022565)
Roman Lygin (developer)
2012-12-05 12:07

Team:
Has this bug ever been triaged ? It is in the new state for 6+ months.
Thanks for paying attention to it.
(0068325)
git (administrator)
2017-07-14 19:56

Branch CR23176 has been created by mkv.

SHA-1: 66a62388595cc9987e342882ece3cc35a16eee75


Detailed log of new commits:

Author: mkv
Date: Fri Jul 14 19:56:05 2017 +0300

    Test for 0023176: Intersection of cylinder and cone produces open curve
(0068449)
mkv (tester)
2017-07-19 18:32

Problem described in issue is not reproduced on current state of OCCT.
(0068927)
git (administrator)
2017-07-31 17:46

Branch CR23176 has been deleted by kgv.

SHA-1: 66a62388595cc9987e342882ece3cc35a16eee75

- Issue History
Date Modified Username Field Change
2012-05-26 22:28 Roman Lygin New Issue
2012-05-26 22:28 Roman Lygin Assigned To => jgv
2012-05-26 22:28 Roman Lygin File Added: archive.zip
2012-05-31 08:17 abv Description Updated View Revisions
2012-12-05 12:07 Roman Lygin Note Added: 0022565
2017-07-14 19:56 git Note Added: 0068325
2017-07-19 18:32 mkv Note Added: 0068449
2017-07-19 18:32 mkv Assigned To jgv => bugmaster
2017-07-19 18:32 mkv Status new => feedback
2017-07-19 18:32 mkv Status feedback => tested
2017-07-19 18:33 mkv Test case number => bugs modalg_7 bug23176
2017-07-21 16:41 bugmaster Status tested => closed
2017-07-21 16:41 bugmaster Resolution open => fixed
2017-07-21 16:41 bugmaster Fixed in Version => 7.0.0
2017-07-31 17:46 git Note Added: 0068927


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker